Method: projects.locations.instances.list

Lists Instances. Results are sorted by creation time, descending.

HTTP request

GET https://run.googleapis.com/v2/{parent}/instances

Path parameters

Parameters
parent

string

Required. The location and project to list resources on. It takes the form projects/{project}/locations/{location}.

Authorization requires the following IAM permission on the specified resource parent:

  • run.instances.list

Query parameters

Parameters
pageSize

integer

Optional. Maximum number of Instances to return in this call.

pageToken

string

Optional. A page token received from a previous call to instances.list. All other parameters must match.

showDeleted

boolean

Optional. If true, returns deleted (but unexpired) resources along with active ones.

Request body

The request body must be empty.

Response body

Response message containing a list of Instances.

If successful, the response body contains data with the following structure:

JSON representation
{
  "instances": [
    {
      object (Instance)
    }
  ],
  "nextPageToken": string
}
Fields
instances[]

object (Instance)

The resulting list of Instances.

nextPageToken

string

A token indicating there are more items than pageSize. Use it in the next instances.list request to continue.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.